Bug 476086 - RADEONHD:R500:X1400 unable to use dri and kms at the same time
RADEONHD:R500:X1400 unable to use dri and kms at the same time
Status: CLOSED DUPLICATE of bug 544139
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-radeonhd (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 15:45 EST by Florian Sievert
Modified: 2009-12-03 20:09 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-03 20:09:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.0.log with activated kms (37.27 KB, text/plain)
2008-12-11 15:45 EST, Florian Sievert
no flags Details
xorg.0.log with deactivated kms (78.09 KB, text/plain)
2008-12-11 15:45 EST, Florian Sievert
no flags Details
Used xorg.conf (673 bytes, text/plain)
2008-12-11 15:46 EST, Florian Sievert
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 19057 None None None Never

  None (edit)
Description Florian Sievert 2008-12-11 15:45:20 EST
Created attachment 326666 [details]
xorg.0.log with activated kms

Description of problem:
It seems not to be possible to use the driver with R500 card activating dri when kms is set. By default fedora 10 is using kms presenting us plymouth. However, if the systems boots with activated kms the x server is not able to load dri and because of this it is not possible to use 3d support. Xorg.0.log is reporting
(EE) RADEONHD(0): [drm] Could not create vertex/indirect buffers list

If the boot option "nomodeset" is set in grub, the driver is able to activated dri and 3d with the same xorg.conf. The test system was an IBM Z61M with an X1400 mobile. Other chips of this family might be affected as well.

Version-Release number of selected component (if applicable):
xorg-x11-drv-radeonhd.i386                                                                      1.2.3-1.7.20081206git.fc10

How reproducible:
Always

Steps to Reproduce:
1. Install xorg-x11-drv-radeonhd
2. Setup a simple xorg.conf with Option "DRI" "on" (attached)
3. Start the X-Server
  
Actual results:
DRI fails to load, no 3d is avaible.

Expected results:
DRI is activated and with supported 3d.

Additional info:
Additionally to the steps mentioned above try:
1. Add "nomodeset" to the boot options of the kernel.
Without kms it is working like fedora 9. An uptodate radeonhd was tested, however older versions does not work also. Other users in the german fedoraforum was reporting to engage similiar issues with their cards.
Comment 1 Florian Sievert 2008-12-11 15:45:55 EST
Created attachment 326667 [details]
xorg.0.log with deactivated kms
Comment 2 Florian Sievert 2008-12-11 15:46:15 EST
Created attachment 326669 [details]
Used xorg.conf
Comment 3 Stefan Idler 2008-12-12 12:01:15 EST
I can confirm this error on my system using a Ati Radeon X1400.

As a workaround I added the nomodeset argument to the current kernel and added the entry Option "DRI" "on" to my xorg.conf.
Using this setup I can use 3D and common desktop effects using the current driver from the released-repos.
Comment 4 Jon Senior 2009-04-08 13:23:40 EDT
Seems to be an issue with the Mobility Radeon X1300 as well (IBM/Lenova Thinkpad T60).

Relevant lines from Xorg.log:

(II) RADEONHD(0): [dri] Visual configs initialized
(II) RADEONHD(0): [DRI] installation complete
(EE) RADEONHD(0): [drm] Could not create vertex/indirect buffers list
(II) RADEONHD(0): [drm] removed 1 reserved context for kernel
(II) RADEONHD(0): [drm] unmapping 8192 bytes of SAREA 0xf9327000 at 0xb3fe5000
(II) RADEONHD(0): [drm] Closed DRM master.
Comment 5 Bug Zapper 2009-11-18 05:26:52 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Victor 2009-11-19 17:59:08 EST
This bug still happens on F12. I have to use nomodeset to be able to enable exa acceleration.
Comment 7 Vedran Miletić 2009-11-28 04:21:12 EST
Updating summary per comment 6.
Comment 8 Hans Ulrich Niedermann 2009-12-03 20:09:02 EST
radeonhd does not support KMS.

Therefore (starting from xorg-x11-drv-radeonhd-1.3.0-4.2.20091204git), radeonhd refuses to start when KMS is active.

If you want KMS, use the radeon driver from the xorg-x11-drv-ati package which is loaded by default on Fedora.

*** This bug has been marked as a duplicate of bug 544139 ***

Note You need to log in before you can comment on or make changes to this bug.